| Qore HttpClientDataProvider Module Reference 1.1

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | Protected Member Functions | List of all members
HttpClientDataProvider::HttpClientDataProvider Class Reference

The HTTP data provider class, provides API classes as children. More...

`#include <HttpClientDataProvider.qc.dox.h>`

## Public Member Functions
| constructor (*hash< auto > options)
| Creates the object from constructor options.
| constructor (HTTPClient http)
| Creates the object from an HTTP connection.
*list< hash< DataProviderSummaryInfo > > | getChildProviderSummaryInfo ()
| Return data provider summary info.
*string | getDesc ()
| Returns the data provider description.
string | getName ()
| Returns the data provider name.

## Static Public Member Functions
static HTTPClient | getHttpConnection (hash< auto > options)
| Returns an HTTP connection.
static hash< auto > | makeRequest (HTTPClient http, string meth, *data body, string path, *hash< auto > hdr)
| Makes an HTTP request and returns the response.

## Public Attributes
const | ConstructorOptions = ...
| Constructor arguments.
const | ProviderInfo = ...
| Provider info.

## Protected Member Functions
*AbstractDataProvider | getChildProviderImpl (string name)
| Returns the given child provider or NOTHING if the given child is unknown.
*list< string > | getChildProviderNamesImpl ()
| Returns a list of child data provider names, if any.
hash< DataProviderInfo > | getStaticInfoImpl ()
| Returns data provider static info.

## Detailed Description

The HTTP data provider class, provides API classes as children.

## Member Function Documentation

## ◆ getChildProviderImpl()

*AbstractDataProvider HttpClientDataProvider::HttpClientDataProvider::getChildProviderImpl | ( | string | name | ) |
| protected

Returns the given child provider or NOTHING if the given child is unknown.

Returns
  the given child provider or NOTHING if the given child is unknown

See also
  getChildProviderEx()

## ◆ getChildProviderNamesImpl()

*list< string > HttpClientDataProvider::HttpClientDataProvider::getChildProviderNamesImpl | ( |  | ) |
| protected

Returns a list of child data provider names, if any.

Returns
  a list of child data provider names, if any